# API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [InfernalRobotics](#infernalrobotics)
-   [servoGroups](#servogroups)
-   [servoGroupWithName](#servogroupwithname)
-   [servoWithName](#servowithname)
-   [getAvailable](#getavailable)
-   [servoMoveRight](#servomoveright)
-   [servoMoveLeft](#servomoveleft)
-   [servoMoveCenter](#servomovecenter)
-   [servoMoveNextPreset](#servomovenextpreset)
-   [servoMovePrevPreset](#servomoveprevpreset)
-   [servoMoveTo](#servomoveto)
-   [servoStop](#servostop)
-   [servoGetName](#servogetname)
-   [servoSetName](#servosetname)
-   [servoGetPart](#servogetpart)
-   [servoSetHighlight](#servosethighlight)
-   [servoGetPosition](#servogetposition)
-   [servoGetMinConfigPosition](#servogetminconfigposition)
-   [servoGetMaxConfigPosition](#servogetmaxconfigposition)
-   [servoGetMinPosition](#servogetminposition)
-   [servoSetMinPosition](#servosetminposition)
-   [servoGetMaxPosition](#servogetmaxposition)
-   [servoSetMaxPosition](#servosetmaxposition)
-   [servoGetConfigSpeed](#servogetconfigspeed)
-   [servoGetSpeed](#servogetspeed)
-   [servoSetSpeed](#servosetspeed)
-   [servoGetCurrentSpeed](#servogetcurrentspeed)
-   [servoSetCurrentSpeed](#servosetcurrentspeed)
-   [servoGetAcceleration](#servogetacceleration)
-   [servoSetAcceleration](#servosetacceleration)
-   [servoGetIsMoving](#servogetismoving)
-   [servoGetIsFreeMoving](#servogetisfreemoving)
-   [servoGetIsLocked](#servogetislocked)
-   [servoSetIsLocked](#servosetislocked)
-   [servoGetIsAxisInverted](#servogetisaxisinverted)
-   [servoSetIsAxisInverted](#servosetisaxisinverted)
-   [servoGroupServoWithName](#servogroupservowithname)
-   [servoGroupMoveRight](#servogroupmoveright)
-   [servoGroupMoveLeft](#servogroupmoveleft)
-   [servoGroupMoveCenter](#servogroupmovecenter)
-   [servoGroupMoveNextPreset](#servogroupmovenextpreset)
-   [servoGroupMovePrevPreset](#servogroupmoveprevpreset)
-   [servoGroupStop](#servogroupstop)
-   [servoGroupGetName](#servogroupgetname)
-   [servoGroupSetName](#servogroupsetname)
-   [servoGroupGetForwardKey](#servogroupgetforwardkey)
-   [servoGroupSetForwardKey](#servogroupsetforwardkey)
-   [servoGroupGetReverseKey](#servogroupgetreversekey)
-   [servoGroupSetReverseKey](#servogroupsetreversekey)
-   [servoGroupGetSpeed](#servogroupgetspeed)
-   [servoGroupSetSpeed](#servogroupsetspeed)
-   [servoGroupGetExpanded](#servogroupgetexpanded)
-   [servoGroupSetExpanded](#servogroupsetexpanded)
-   [servoGroupGetServos](#servogroupgetservos)
-   [servoGroupGetParts](#servogroupgetparts)

## InfernalRobotics

This service provides functionality to interact with
<a href="https://forum.kerbalspaceprogram.com/index.php?/topic/104535-112-magic-smoke-industries-infernal-robotics-202/">Infernal Robotics</a>.

Returns **void** 

## servoGroups

**Extends InfernalRobotics**

A list of all the servo groups in the given {vessel}.

**Parameters**

-   `vessel` **Long** A long value representing the id for the SpaceCenter.Vessel

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupWithName

**Extends InfernalRobotics**

Returns the servo group in the given {vessel} with the given {name},
or null if none exists. If multiple servo groups have the same name, only one of them is returned.

**Parameters**

-   `vessel` **Long** A long value representing the id for the SpaceCenter.Vessel
-   `name` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Name of servo group to find.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoWithName

**Extends InfernalRobotics**

Returns the servo in the given {vessel} with the given {name} or
null if none exists. If multiple servos have the same name, only one of them is returned.

**Parameters**

-   `vessel` **Long** A long value representing the id for the SpaceCenter.Vessel
-   `name` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Name of the servo to find.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## getAvailable

**Extends InfernalRobotics**

Whether Infernal Robotics is installed.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoMoveRight

**Extends InfernalRobotics**

Moves the servo to the right.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **void** 

## servoMoveLeft

**Extends InfernalRobotics**

Moves the servo to the left.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **void** 

## servoMoveCenter

**Extends InfernalRobotics**

Moves the servo to the center.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **void** 

## servoMoveNextPreset

**Extends InfernalRobotics**

Moves the servo to the next preset.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **void** 

## servoMovePrevPreset

**Extends InfernalRobotics**

Moves the servo to the previous preset.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **void** 

## servoMoveTo

**Extends InfernalRobotics**

Moves the servo to {position} and sets the
speed multiplier to {speed}.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `position` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** The position to move the servo to.
-   `speed` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Speed multiplier for the movement.

Returns **void** 

## servoStop

**Extends InfernalRobotics**

Stops the servo.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **void** 

## servoGetName

**Extends InfernalRobotics**

The name of the servo.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetName

**Extends InfernalRobotics**

The name of the servo.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## servoGetPart

**Extends InfernalRobotics**

The part containing the servo.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetHighlight

**Extends InfernalRobotics**

Whether the servo should be highlighted in-game.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## servoGetPosition

**Extends InfernalRobotics**

The position of the servo.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGetMinConfigPosition

**Extends InfernalRobotics**

The minimum position of the servo, specified by the part configuration.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGetMaxConfigPosition

**Extends InfernalRobotics**

The maximum position of the servo, specified by the part configuration.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGetMinPosition

**Extends InfernalRobotics**

The minimum position of the servo, specified by the in-game tweak menu.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetMinPosition

**Extends InfernalRobotics**

The minimum position of the servo, specified by the in-game tweak menu.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## servoGetMaxPosition

**Extends InfernalRobotics**

The maximum position of the servo, specified by the in-game tweak menu.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetMaxPosition

**Extends InfernalRobotics**

The maximum position of the servo, specified by the in-game tweak menu.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## servoGetConfigSpeed

**Extends InfernalRobotics**

The speed multiplier of the servo, specified by the part configuration.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGetSpeed

**Extends InfernalRobotics**

The speed multiplier of the servo, specified by the in-game tweak menu.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetSpeed

**Extends InfernalRobotics**

The speed multiplier of the servo, specified by the in-game tweak menu.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## servoGetCurrentSpeed

**Extends InfernalRobotics**

The current speed at which the servo is moving.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetCurrentSpeed

**Extends InfernalRobotics**

The current speed at which the servo is moving.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## servoGetAcceleration

**Extends InfernalRobotics**

The current speed multiplier set in the UI.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetAcceleration

**Extends InfernalRobotics**

The current speed multiplier set in the UI.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## servoGetIsMoving

**Extends InfernalRobotics**

Whether the servo is moving.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGetIsFreeMoving

**Extends InfernalRobotics**

Whether the servo is freely moving.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGetIsLocked

**Extends InfernalRobotics**

Whether the servo is locked.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetIsLocked

**Extends InfernalRobotics**

Whether the servo is locked.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## servoGetIsAxisInverted

**Extends InfernalRobotics**

Whether the servos axis is inverted.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoSetIsAxisInverted

**Extends InfernalRobotics**

Whether the servos axis is inverted.

**Parameters**

-   `servo` **Long** A long value representing the id for the InfernalRobotics.Servo
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## servoGroupServoWithName

**Extends InfernalRobotics**

Returns the servo with the given {name} from this group,
or null if none exists.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup
-   `name` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Name of servo to find.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupMoveRight

**Extends InfernalRobotics**

Moves all of the servos in the group to the right.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **void** 

## servoGroupMoveLeft

**Extends InfernalRobotics**

Moves all of the servos in the group to the left.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **void** 

## servoGroupMoveCenter

**Extends InfernalRobotics**

Moves all of the servos in the group to the center.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **void** 

## servoGroupMoveNextPreset

**Extends InfernalRobotics**

Moves all of the servos in the group to the next preset.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **void** 

## servoGroupMovePrevPreset

**Extends InfernalRobotics**

Moves all of the servos in the group to the previous preset.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **void** 

## servoGroupStop

**Extends InfernalRobotics**

Stops the servos in the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **void** 

## servoGroupGetName

**Extends InfernalRobotics**

The name of the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupSetName

**Extends InfernalRobotics**

The name of the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## servoGroupGetForwardKey

**Extends InfernalRobotics**

The key assigned to be the "forward" key for the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupSetForwardKey

**Extends InfernalRobotics**

The key assigned to be the "forward" key for the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## servoGroupGetReverseKey

**Extends InfernalRobotics**

The key assigned to be the "reverse" key for the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupSetReverseKey

**Extends InfernalRobotics**

The key assigned to be the "reverse" key for the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## servoGroupGetSpeed

**Extends InfernalRobotics**

The speed multiplier for the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupSetSpeed

**Extends InfernalRobotics**

The speed multiplier for the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## servoGroupGetExpanded

**Extends InfernalRobotics**

Whether the group is expanded in the InfernalRobotics UI.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupSetExpanded

**Extends InfernalRobotics**

Whether the group is expanded in the InfernalRobotics UI.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## servoGroupGetServos

**Extends InfernalRobotics**

The servos that are in the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## servoGroupGetParts

**Extends InfernalRobotics**

The parts containing the servos in the group.

**Parameters**

-   `servoGroup` **Long** A long value representing the id for the InfernalRobotics.ServoGroup

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 
