# API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [RemoteTech](#remotetech)
-   [comms](#comms)
-   [antenna](#antenna)
-   [getAvailable](#getavailable)
-   [getGroundStations](#getgroundstations)
-   [antennaGetPart](#antennagetpart)
-   [antennaGetHasConnection](#antennagethasconnection)
-   [antennaGetTarget](#antennagettarget)
-   [antennaSetTarget](#antennasettarget)
-   [antennaGetTargetBody](#antennagettargetbody)
-   [antennaSetTargetBody](#antennasettargetbody)
-   [antennaGetTargetGroundStation](#antennagettargetgroundstation)
-   [antennaSetTargetGroundStation](#antennasettargetgroundstation)
-   [antennaGetTargetVessel](#antennagettargetvessel)
-   [antennaSetTargetVessel](#antennasettargetvessel)
-   [commsSignalDelayToVessel](#commssignaldelaytovessel)
-   [commsGetVessel](#commsgetvessel)
-   [commsGetHasLocalControl](#commsgethaslocalcontrol)
-   [commsGetHasFlightComputer](#commsgethasflightcomputer)
-   [commsGetHasConnection](#commsgethasconnection)
-   [commsGetHasConnectionToGroundStation](#commsgethasconnectiontogroundstation)
-   [commsGetSignalDelay](#commsgetsignaldelay)
-   [commsGetSignalDelayToGroundStation](#commsgetsignaldelaytogroundstation)
-   [commsGetAntennas](#commsgetantennas)

## RemoteTech

This service provides functionality to interact with
<a href="https://forum.kerbalspaceprogram.com/index.php?/topic/139167-13-remotetech-v188-2017-09-03/">RemoteTech</a>.

Returns **void** 

## comms

**Extends RemoteTech**

Get a communications object, representing the communication capability of a particular vessel.

**Parameters**

-   `vessel` **Long** A long value representing the id for the SpaceCenter.Vessel

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antenna

**Extends RemoteTech**

Get the antenna object for a particular part.

**Parameters**

-   `part` **Long** A long value representing the id for the SpaceCenter.Part

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## getAvailable

**Extends RemoteTech**

Whether RemoteTech is installed.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## getGroundStations

**Extends RemoteTech**

The names of the ground stations.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antennaGetPart

**Extends RemoteTech**

Get the part containing this antenna.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antennaGetHasConnection

**Extends RemoteTech**

Whether the antenna has a connection.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antennaGetTarget

**Extends RemoteTech**

The object that the antenna is targetting.
This property can be used to set the target to [M:RemoteTech.Target.None](M:RemoteTech.Target.None) or [M:RemoteTech.Target.ActiveVessel](M:RemoteTech.Target.ActiveVessel).
To set the target to a celestial body, ground station or vessel see [M:RemoteTech.Antenna.TargetBody](M:RemoteTech.Antenna.TargetBody),
[M:RemoteTech.Antenna.TargetGroundStation](M:RemoteTech.Antenna.TargetGroundStation) and [M:RemoteTech.Antenna.TargetVessel](M:RemoteTech.Antenna.TargetVessel).

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antennaSetTarget

**Extends RemoteTech**

The object that the antenna is targetting.
This property can be used to set the target to [M:RemoteTech.Target.None](M:RemoteTech.Target.None) or [M:RemoteTech.Target.ActiveVessel](M:RemoteTech.Target.ActiveVessel).
To set the target to a celestial body, ground station or vessel see [M:RemoteTech.Antenna.TargetBody](M:RemoteTech.Antenna.TargetBody),
[M:RemoteTech.Antenna.TargetGroundStation](M:RemoteTech.Antenna.TargetGroundStation) and [M:RemoteTech.Antenna.TargetVessel](M:RemoteTech.Antenna.TargetVessel).

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna
-   `value` **Long** A long value representing the id for the RemoteTech.Target

Returns **void** 

## antennaGetTargetBody

**Extends RemoteTech**

The celestial body the antenna is targetting.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antennaSetTargetBody

**Extends RemoteTech**

The celestial body the antenna is targetting.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna
-   `value` **Long** A long value representing the id for the SpaceCenter.CelestialBody

Returns **void** 

## antennaGetTargetGroundStation

**Extends RemoteTech**

The ground station the antenna is targetting.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antennaSetTargetGroundStation

**Extends RemoteTech**

The ground station the antenna is targetting.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## antennaGetTargetVessel

**Extends RemoteTech**

The vessel the antenna is targetting.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## antennaSetTargetVessel

**Extends RemoteTech**

The vessel the antenna is targetting.

**Parameters**

-   `antenna` **Long** A long value representing the id for the RemoteTech.Antenna
-   `value` **Long** A long value representing the id for the SpaceCenter.Vessel

Returns **void** 

## commsSignalDelayToVessel

**Extends RemoteTech**

The signal delay between the this vessel and another vessel, in seconds.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms
-   `other` **Long** A long value representing the id for the SpaceCenter.Vessel

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetVessel

**Extends RemoteTech**

Get the vessel.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetHasLocalControl

**Extends RemoteTech**

Whether the vessel can be controlled locally.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetHasFlightComputer

**Extends RemoteTech**

Whether the vessel has a flight computer on board.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetHasConnection

**Extends RemoteTech**

Whether the vessel has any connection.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetHasConnectionToGroundStation

**Extends RemoteTech**

Whether the vessel has a connection to a ground station.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetSignalDelay

**Extends RemoteTech**

The shortest signal delay to the vessel, in seconds.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetSignalDelayToGroundStation

**Extends RemoteTech**

The signal delay between the vessel and the closest ground station, in seconds.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## commsGetAntennas

**Extends RemoteTech**

The antennas for this vessel.

**Parameters**

-   `comms` **Long** A long value representing the id for the RemoteTech.Comms

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 
