# API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [UI](#ui)
-   [addCanvas](#addcanvas)
-   [message](#message)
-   [clear](#clear)
-   [getStockCanvas](#getstockcanvas)
-   [buttonRemove](#buttonremove)
-   [buttonGetRectTransform](#buttongetrecttransform)
-   [buttonGetText](#buttongettext)
-   [buttonGetClicked](#buttongetclicked)
-   [buttonSetClicked](#buttonsetclicked)
-   [buttonGetVisible](#buttongetvisible)
-   [buttonSetVisible](#buttonsetvisible)
-   [canvasAddPanel](#canvasaddpanel)
-   [canvasAddText](#canvasaddtext)
-   [canvasAddInputField](#canvasaddinputfield)
-   [canvasAddButton](#canvasaddbutton)
-   [canvasRemove](#canvasremove)
-   [canvasGetRectTransform](#canvasgetrecttransform)
-   [canvasGetVisible](#canvasgetvisible)
-   [canvasSetVisible](#canvassetvisible)
-   [inputFieldRemove](#inputfieldremove)
-   [inputFieldGetRectTransform](#inputfieldgetrecttransform)
-   [inputFieldGetValue](#inputfieldgetvalue)
-   [inputFieldSetValue](#inputfieldsetvalue)
-   [inputFieldGetText](#inputfieldgettext)
-   [inputFieldGetChanged](#inputfieldgetchanged)
-   [inputFieldSetChanged](#inputfieldsetchanged)
-   [inputFieldGetVisible](#inputfieldgetvisible)
-   [inputFieldSetVisible](#inputfieldsetvisible)
-   [panelAddPanel](#paneladdpanel)
-   [panelAddText](#paneladdtext)
-   [panelAddInputField](#paneladdinputfield)
-   [panelAddButton](#paneladdbutton)
-   [panelRemove](#panelremove)
-   [panelGetRectTransform](#panelgetrecttransform)
-   [panelGetVisible](#panelgetvisible)
-   [panelSetVisible](#panelsetvisible)
-   [rectTransformGetPosition](#recttransformgetposition)
-   [rectTransformSetPosition](#recttransformsetposition)
-   [rectTransformGetLocalPosition](#recttransformgetlocalposition)
-   [rectTransformSetLocalPosition](#recttransformsetlocalposition)
-   [rectTransformGetSize](#recttransformgetsize)
-   [rectTransformSetSize](#recttransformsetsize)
-   [rectTransformGetUpperRight](#recttransformgetupperright)
-   [rectTransformSetUpperRight](#recttransformsetupperright)
-   [rectTransformGetLowerLeft](#recttransformgetlowerleft)
-   [rectTransformSetLowerLeft](#recttransformsetlowerleft)
-   [rectTransformSetAnchor](#recttransformsetanchor)
-   [rectTransformGetAnchorMax](#recttransformgetanchormax)
-   [rectTransformSetAnchorMax](#recttransformsetanchormax)
-   [rectTransformGetAnchorMin](#recttransformgetanchormin)
-   [rectTransformSetAnchorMin](#recttransformsetanchormin)
-   [rectTransformGetPivot](#recttransformgetpivot)
-   [rectTransformSetPivot](#recttransformsetpivot)
-   [rectTransformGetRotation](#recttransformgetrotation)
-   [rectTransformSetRotation](#recttransformsetrotation)
-   [rectTransformGetScale](#recttransformgetscale)
-   [rectTransformSetScale](#recttransformsetscale)
-   [textRemove](#textremove)
-   [textGetRectTransform](#textgetrecttransform)
-   [textGetAvailableFonts](#textgetavailablefonts)
-   [textGetContent](#textgetcontent)
-   [textSetContent](#textsetcontent)
-   [textGetFont](#textgetfont)
-   [textSetFont](#textsetfont)
-   [textGetSize](#textgetsize)
-   [textSetSize](#textsetsize)
-   [textGetStyle](#textgetstyle)
-   [textSetStyle](#textsetstyle)
-   [textGetAlignment](#textgetalignment)
-   [textSetAlignment](#textsetalignment)
-   [textGetLineSpacing](#textgetlinespacing)
-   [textSetLineSpacing](#textsetlinespacing)
-   [textGetColor](#textgetcolor)
-   [textSetColor](#textsetcolor)
-   [textGetVisible](#textgetvisible)
-   [textSetVisible](#textsetvisible)

## UI

Provides functionality for drawing and interacting with in-game user interface elements.
 For drawing 3D objects in the flight scene, see the Drawing service.

Returns **void** 

## addCanvas

**Extends UI**

Add a new canvas.
 If you want to add UI elements to KSPs stock UI canvas, use [M:UI.StockCanvas](M:UI.StockCanvas).

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## message

**Extends UI**

Display a message on the screen.
 The message appears just like a stock message, for example quicksave or quickload messages.

**Parameters**

-   `content` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Message content.
-   `duration` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Duration before the message disappears, in seconds.
-   `position` **Long** A long value representing the id for the UI.MessagePosition

Returns **void** 

## clear

**Extends UI**

Remove all user interface elements.

**Parameters**

-   `clientOnly` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** If true, only remove objects created by the calling client.

Returns **void** 

## getStockCanvas

**Extends UI**

The stock UI canvas.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## buttonRemove

**Extends UI**

Remove the UI object.

**Parameters**

-   `button` **Long** A long value representing the id for the UI.Button

Returns **void** 

## buttonGetRectTransform

**Extends UI**

The rect transform for the text.

**Parameters**

-   `button` **Long** A long value representing the id for the UI.Button

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## buttonGetText

**Extends UI**

The text for the button.

**Parameters**

-   `button` **Long** A long value representing the id for the UI.Button

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## buttonGetClicked

**Extends UI**

Whether the button has been clicked.
 This property is set to true when the user clicks the button.
A client script should reset the property to false in order to detect subsequent button presses.

**Parameters**

-   `button` **Long** A long value representing the id for the UI.Button

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## buttonSetClicked

**Extends UI**

Whether the button has been clicked.
 This property is set to true when the user clicks the button.
A client script should reset the property to false in order to detect subsequent button presses.

**Parameters**

-   `button` **Long** A long value representing the id for the UI.Button
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## buttonGetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `button` **Long** A long value representing the id for the UI.Button

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## buttonSetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `button` **Long** A long value representing the id for the UI.Button
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## canvasAddPanel

**Extends UI**

Create a new container for user interface elements.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the panel is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## canvasAddText

**Extends UI**

Add text to the canvas.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas
-   `content` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** The text.
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the text is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## canvasAddInputField

**Extends UI**

Add an input field to the canvas.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the input field is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## canvasAddButton

**Extends UI**

Add a button to the canvas.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas
-   `content` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** The label for the button.
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the button is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## canvasRemove

**Extends UI**

Remove the UI object.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas

Returns **void** 

## canvasGetRectTransform

**Extends UI**

The rect transform for the canvas.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## canvasGetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## canvasSetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `canvas` **Long** A long value representing the id for the UI.Canvas
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## inputFieldRemove

**Extends UI**

Remove the UI object.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField

Returns **void** 

## inputFieldGetRectTransform

**Extends UI**

The rect transform for the input field.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## inputFieldGetValue

**Extends UI**

The value of the input field.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## inputFieldSetValue

**Extends UI**

The value of the input field.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## inputFieldGetText

**Extends UI**

The text component of the input field.
 Use [M:UI.InputField.Value](M:UI.InputField.Value) to get and set the value in the field.
This object can be used to alter the style of the input field's text.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## inputFieldGetChanged

**Extends UI**

Whether the input field has been changed.
 This property is set to true when the user modifies the value of the input field.
A client script should reset the property to false in order to detect subsequent changes.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## inputFieldSetChanged

**Extends UI**

Whether the input field has been changed.
 This property is set to true when the user modifies the value of the input field.
A client script should reset the property to false in order to detect subsequent changes.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## inputFieldGetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## inputFieldSetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `inputField` **Long** A long value representing the id for the UI.InputField
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## panelAddPanel

**Extends UI**

Create a panel within this panel.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the new panel is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## panelAddText

**Extends UI**

Add text to the panel.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel
-   `content` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** The text.
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the text is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## panelAddInputField

**Extends UI**

Add an input field to the panel.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the input field is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## panelAddButton

**Extends UI**

Add a button to the panel.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel
-   `content` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** The label for the button.
-   `visible` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** Whether the button is visible.

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## panelRemove

**Extends UI**

Remove the UI object.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel

Returns **void** 

## panelGetRectTransform

**Extends UI**

The rect transform for the panel.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## panelGetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## panelSetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `panel` **Long** A long value representing the id for the UI.Panel
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 

## rectTransformGetPosition

**Extends UI**

Position of the rectangles pivot point relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetPosition

**Extends UI**

Position of the rectangles pivot point relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformGetLocalPosition

**Extends UI**

Position of the rectangles pivot point relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetLocalPosition

**Extends UI**

Position of the rectangles pivot point relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number, number}** 

Returns **void** 

## rectTransformGetSize

**Extends UI**

Width and height of the rectangle.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetSize

**Extends UI**

Width and height of the rectangle.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformGetUpperRight

**Extends UI**

Position of the rectangles upper right corner relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetUpperRight

**Extends UI**

Position of the rectangles upper right corner relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformGetLowerLeft

**Extends UI**

Position of the rectangles lower left corner relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetLowerLeft

**Extends UI**

Position of the rectangles lower left corner relative to the anchors.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformSetAnchor

**Extends UI**

Set the minimum and maximum anchor points as a fraction of the size of the parent rectangle.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformGetAnchorMax

**Extends UI**

The anchor point for the lower left corner of the rectangle defined as a fraction of the size of the parent rectangle.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetAnchorMax

**Extends UI**

The anchor point for the lower left corner of the rectangle defined as a fraction of the size of the parent rectangle.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformGetAnchorMin

**Extends UI**

The anchor point for the upper right corner of the rectangle defined as a fraction of the size of the parent rectangle.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetAnchorMin

**Extends UI**

The anchor point for the upper right corner of the rectangle defined as a fraction of the size of the parent rectangle.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformGetPivot

**Extends UI**

Location of the pivot point around which the rectangle rotates, defined as a fraction of the size of the rectangle itself.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetPivot

**Extends UI**

Location of the pivot point around which the rectangle rotates, defined as a fraction of the size of the rectangle itself.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number}** 

Returns **void** 

## rectTransformGetRotation

**Extends UI**

Rotation, as a quaternion, of the object around its pivot point.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetRotation

**Extends UI**

Rotation, as a quaternion, of the object around its pivot point.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number, number, number}** 

Returns **void** 

## rectTransformGetScale

**Extends UI**

Scale factor applied to the object in the x, y and z dimensions.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## rectTransformSetScale

**Extends UI**

Scale factor applied to the object in the x, y and z dimensions.

**Parameters**

-   `rectTransform` **Long** A long value representing the id for the UI.RectTransform
-   `value` **{number, number, number}** 

Returns **void** 

## textRemove

**Extends UI**

Remove the UI object.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **void** 

## textGetRectTransform

**Extends UI**

The rect transform for the text.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textGetAvailableFonts

**Extends UI**

A list of all available fonts.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textGetContent

**Extends UI**

The text string

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetContent

**Extends UI**

The text string

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## textGetFont

**Extends UI**

Name of the font

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetFont

**Extends UI**

Name of the font

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

Returns **void** 

## textGetSize

**Extends UI**

Font size.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetSize

**Extends UI**

Font size.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## textGetStyle

**Extends UI**

Font style.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetStyle

**Extends UI**

Font style.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **Long** A long value representing the id for the UI.FontStyle

Returns **void** 

## textGetAlignment

**Extends UI**

Alignment.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetAlignment

**Extends UI**

Alignment.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **Long** A long value representing the id for the UI.TextAnchor

Returns **void** 

## textGetLineSpacing

**Extends UI**

Line spacing.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetLineSpacing

**Extends UI**

Line spacing.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **[number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 

Returns **void** 

## textGetColor

**Extends UI**

Set the color

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetColor

**Extends UI**

Set the color

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **{number, number, number}** 

Returns **void** 

## textGetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text

Returns **{call: [Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object), decode: [function](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function)}** 

## textSetVisible

**Extends UI**

Whether the UI object is visible.

**Parameters**

-   `text` **Long** A long value representing the id for the UI.Text
-   `value` **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

Returns **void** 
